Package org.eclipse.net4j.db

## Interface IDBConnectionProvider

- All Known Subinterfaces:
    `IDBConnectionProvider2`, `IDBDatabase`

      public interface IDBConnectionProvider

  Provides a database `connection`, roughly comparable with a `data source`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.sql.Connection` | `getConnection()` | Returns a connection.

- - ### Method Detail

    - #### getConnection

          java.sql.Connection getConnection()
                                     throws DBException

      Returns a connection.
      Throws:
        `DBException`